
From: Adrian Bunk <bunk@stusta.de>

Andries Brouwer proposed this patch with the following comment:

As observed earlier, ps2esdi was broken as a module, and the passing of
geometry boot parameters is broken.  But does it still work with kernels
2.3 or later?  I think it does, but failed to verify that.

I found an IBM PS/2 model 70-A21 with 8 MB and 120 MB ESDI disk.
Tried a few distribution boot floppies to see whether they would boot.

Slackware has special ibmmca bootdisks.
SW 3.3 - Linux 2.1.43 - boots fine
SW 4.0 - Linux 2.2.6 - hangs
SW 7.0 - Linux 2.2.13 - boots fine
SW 8.1 - Linux 2.4.18 - boots, but every single command is killed by OOM
SW 10.0 - Linux 2.4.26 - kernel panic: no 386 supported

Then Debian:
Woody - Linux 2.2.10 - boots fine, but the rootdisk hangs
Sarge - Linux 2.4.27 - does not recognize the ESDI disk, and the rootdisk
 crashes by OOM.

So, good luck with 2.1 and 2.2 kernels, only failures with later kernels.

What about other people? The two major Linux/MCA sites were
http://glycerine.itsmm.uni.edu/mca (also referenced in Documentation/mca.txt)
but it doesnt exist any longer, and http://www.dgmicro.com/mca/,
which still exists ("last update: Jan 28 1999"), but the binaries
it refers to live on ftp.dgmicro.com, which isn't there anymore.

Concerning the speed:
I measured this ESDI disk under Linux as transferring 50 kB/s,
that is 4% of the speed the IBM specs claim. Also other Linux users
complained that the disk is much faster under DOS.

My proposal for this patch would be to get it into one 2.6 kernel (is it 
too late for 2.6.11?) and wait if anyone was still using it and screams, 
and remove it a few months later otherwise.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/block/Kconfig~mark-blk_dev_ps2-as-broken drivers/block/Kconfig
--- 25/drivers/block/Kconfig~mark-blk_dev_ps2-as-broken	2005-02-24 21:07:30.000000000 -0800
+++ 25-akpm/drivers/block/Kconfig	2005-02-24 21:07:30.000000000 -0800
@@ -42,7 +42,7 @@ config MAC_FLOPPY
 
 config BLK_DEV_PS2
 	tristate "PS/2 ESDI hard disk support"
-	depends on MCA && MCA_LEGACY
+	depends on MCA && MCA_LEGACY && BROKEN
 	help
 	  Say Y here if you have a PS/2 machine with a MCA bus and an ESDI
 	  hard disk.
_
